Operational Defect Database

BugZero found this defect 2526 days ago.

MongoDB | 367686

[SERVER-28497] buildscripts/scons.py uses scons from /usr/local

Last update date:

4/5/2017

Affected products:

MongoDB Server

Affected releases:

3.5.4

Fixed releases:

3.5.5

Description:

Info

buildscripts/scons.py uses scons from /usr/local instead of src/third-party/scons-2.5.0 on SUSE 11 images.

Top User Comments

xgen-internal-githook commented on Tue, 28 Mar 2017 22:24:34 +0000: Author: {u'username': u'acmorrow', u'name': u'Andrew Morrow', u'email': u'acm@mongodb.com'} Message: SERVER-28475 Require SCons 2.5 and Python 2.7 Also, a drive by for making the search path for SCons in buildscripts/scons.py absolute, obviating the need to explicitly load the "install" tool. This is effectively a partial revert of the changes made for SERVER-28497. Branch: master https://github.com/mongodb/mongo/commit/fcb329a2f4c4db8a23ff54806ced5ef55e841d24 xgen-internal-githook commented on Tue, 28 Mar 2017 15:04:56 +0000: Author: {u'username': u'markbenvenuto', u'name': u'Mark Benvenuto', u'email': u'mark.benvenuto@mongodb.com'} Message: SERVER-28497 buildscripts/scons.py uses scons from /usr/local Branch: master https://github.com/mongodb/mongo/commit/1114c0c3fdbc1e766b50bbd17a8cfc2606528335

Additional Resources / Links

Share:

BugZero Risk Score

Coming soon

Status

Closed

Have you been affected by this bug?

cost-cta-background

Do you know how much operational outages are costing you?

Understand the cost to your business and how BugZero can help you reduce those costs.

Discussion

Login to read and write comments.

Have you ever...

had your data corrupted from a

VMware

bug?

Search:

...